%define name python-numeric
%define version 23.1
%define release 3mdk

Summary: Python numerical facilities 
Name: %{name}
Version: %{version}
Release: %{release}
License: BSD-like
URL: http://www.pfdubois.com/numpy/
Group: Development/Python
Source0: Numeric-%{version}.tar.bz2
Source1: numpy.pdf.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
Requires: python >= 2.0
BuildRequires: python-devel
Obsoletes: python-numpy
Provides: python-numpy

%description
A collection of extension modules to provide high-performance multidimensional
numeric arrays to the Python programming language.

%package devel
Group: Development/Python
Summary: Python numerical facilities
Requires: python-devel

%description devel
A collection of extension modules to provide high-performance multidimensional
numeric arrays to the Python programming language.

Devel files

%prep
%setup -n Numeric-%{version} -q
cp %{SOURCE1} .
bunzip2 numpy.pdf.bz2


%build
python setup.py build
for Package in FFT LALITE MA RANLIB RNG; do
    (cd Packages/$Package; python setup.py build)
done


%install
rm -rf %{buildroot}
python setup.py install --root=%{buildroot}
for Package in FFT LALITE MA RANLIB RNG; do
    (cd Packages/$Package; python setup.py install --root=%{buildroot})
done


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc MANIFEST README changes.txt
%{_libdir}/python*/site-packages/Numeric
%{_libdir}/python*/site-packages/Numeric.pth

%files devel
%defattr(-, root, root)
%doc Demo Test numpy.pdf
%{_includedir}/python*/Numeric

%changelog
* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 23.1-3mdk
- Rebuild for new python

* Tue Dec 16 2003 Lenny Cartier <lenny@mandrakesoft.com> 23.1-2mdk
- requires python-devel

* Fri Dec 12 2003 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 23.1-1mdk
- 23.1

* Fri Aug 08 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 22.0-4mdk
- rebuild for new python

* Thu Jul 24 2003 Per yvind Karlsen <peroyvind@sintrax.net> 22.0-3mdk
- rebuild
- don't rm -rf $RPM_BUILD_ROOT in %%prep

* Thu Jan 16 2003 Lenny Cartier <lenny@mandrakesoft.com> 22.0-2mdk
- rebuild

* Thu Nov 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 22.0-1mdk
- 22.0

* Sat Mar 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 21.0-1mdk
- 21.0

* Fri Jan 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 20.3-2mdk
- fix permission on source files

* Fri Jan 11 2002 Lenny Cartier <lenny@mandrakesoft.com> 20.3-1mdk
- updated by RA <> 20.3-1mdk :
	- update
	- fixed doc file name

* Fri Sep 28 2001 RA  <ralf_ahlbrink@web.de> 20.2.1-1mdk
- Release 20.2.1
- new docs

* Mon Aug 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 20.1.0-1mdk
- Release 20.1.0

* Mon Jul 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 17.3.0-4mdk
- rebuild

* Tue Apr 03 2001 Lenny Cartier <lenny@mandrakesoft.com> 17.3.0-3mdk
- remove patch condition if LAPACK/BLAS is present (thx G.Vermeulen)

* Sat Mar 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 17.3.0-2mdk
- split package

* Thu Feb 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 17.3.0-1mdk
- updated to 17.3.0
- used patches from Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr>

* Mon Feb 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 17.2.0-1mdk
- used srpm from Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr>
- updated to 17.2.0

* Mon Jan 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 17.0-1mdk
- new in contribs

* Fri Oct 27 2000 Gerard Vermeulen <gvermeul@labs.polycnrs-gre.fr> 17.1.1-1gv
- CVS-source sucked on Oct 27 2000
- fix: depends on '#include "Numeric/arrayobject.h"' being installed
- fix: Fortran LAPACK/BLAS
- FIXME: Gist?

